@import '../../../sass/variables';

.message {
  position: relative;
  height: 100px;
  background: $blackTransparent;
  width: 100%;
  max-width: 500px;
  padding: 20px;
  transition: 0.2s;

  .message-icon {
    height: 100%;
    float: left;
    width: 100px;

    svg {
      fill: $lightPurple;
      height: 100%;
      width: 100%;
    }
  }

  .message-text {
    text-align: left;
    position: relative;
    top: 50%;
    transform: translateY(-50%);

    .message-header {
      font-size: 18px;
      color: white;
    }

    .message-explanation {
      font-size: 15px;
      margin-top: 5px;
      color: $lightGrey;
    }
  }

  &.hidden {
    opacity: 0;
  }

  &.error {
    .message-icon {
      svg {
        fill: $red;
      }
    }
  }
}
